# /* How to create a new language file */
# /* $Id: howto_lang.inc,v 1.3 2002/11/07 19:23:01 izzy Exp $ */

[title]
Wie erstelle ich eine Sprachdatei fr meine Muttersprache?

[text]
Dies ist leichter, als mancher denken mag - es sind nur wenige Schritte ntig:
[text]
<OL>
 <LI>Am Ende der Datei "setup/tech_data.sql" findet sich eine Liste der Sprachen
     und ihrer Krzel. Hier ist das Krzel fr die Zielsprache zu ermitteln. An
     einem Beispiel veranschaulicht: mchte jemand eine Finnische Sprachdatei
     erstellen, so erkennt er an der Zeile
     <code>INSERT INTO languages VALUES ('fi','Finnish','No');</code>, da
     das gesuchte Krzel "fi" heit.
 <LI>Nun nimmt man sich am besten eine bereits existierende Sprachdatei einer
     Sprache, deren man mchtig ist - als Beispiel mchte ich an dieser Stelle
     Deutsch whlen (schlielich ist dieser Text ja auf Deutsch. Allgemein
     empfehle ich hierfr entweder die Deutsche oder die Englische Sprachdatei,
     da diese meist die aktuellsten sind). Sprachdateien haben das Namensformat
     "lang_??.sql", wobei die beiden Fragezeichen fr das jeweilige Sprachkrzel
     stehen. Die Deutsche Sprachdatei heit also "lang_de.sql". Diese kopieren
     wir nun in die Finnische Sprachdatei, die folgerichtig "lang_fi.sql" heit.
 <LI>Jetzt ffnen wir unsere neue Sprachdatei ("lang_fi.sql") mit unserem
     Lieblingseditor (es handelt sich um eine reine Textdatei - als solche
     sollte sie auch wieder gespeichert werden) und passen die bersetzungen
     an: Nur der dritte in der Klammer stehende Wert sollte hierzu verndert
     werden. Wieder am Beispiel:
     <code>INSERT INTO lang VALUES('year','de','Jahr');</code> - hier ist es
     der Begriff "Jahr", der in's Finnische bersetzt werden mu - alles
     andere in dieser Zeile sollte unberhrt bleiben (abgesehen natrlich
     vom Sprachcode: 'en' sollte in unserem Beispiel durch 'fi' ersetzt werden).
 <LI>Sobald der vorige Schritt fr alle Werte abgeschlossen ist, sollte
     die Sprachdatei phpVideoPro bekannt gemacht werden. Dies geschieht
     wiederum im Men "*edit# -&gt; *configuration#": hier ist die CheckBox
     "*scan_new_lang_files#" zu aktivieren und der Button "*update#" zu
     bettigen. Wenige Sekunden spter steht die Finnische Sprache zur Auswahl
     bereit, und kann mit "*select_add_lang#" in die Datenbank importiert
     werden. Anschlieend knnen wir sie ber "*select_primary_lang#" zu unserer
     "Primrsprache" erklren - und phpVideoPro sollte nun Finnisch "sprechen"
     (vorausgesetzt, die in Schritt 3 gemachten bersetzungen waren korrekt).
</OL>

[title]
Die vorhandenen bersetzungen fr meine Sprache gefallen mir nicht...

[text]
Kein Problem. Entweder wir whlen einfach eine andere Sprache - oder aber
passen einfach die Sprachdatei an (siehe oben, Schritt 3). Anschlieend wird
im Men "*edit# -&gt; *configuration#" die Sprache im Punkt "*refresh_lang#"
ausgewhlt, und der Button "*update#" bettigt - und schon ist das Problem
behoben.

[eof]
