# /* configure */
# /* $Id: configuration.inc,v 1.9 2002/11/10 13:54:27 izzy Exp $ */

[title]
Einleitung

[text]
In diesem Formular lassen sich generelle Einstellungen fr phpVideoPro
vornehmen, wie z.B. Sprach- und Farbeinstellungen. Einige der hier beschriebenen
Optionen sind nur ber den Aufruf des Konfigurations-Formulars ber das "Admin"
Men verfgbar, da es sich um Eigenschaften handelt, die nur der Administrator
bearbeiten sollte. Andere hingegen sind eher als benutzerabhngige Prferenzen
zu betrachten und daher auch ber das Standard-Men zu erreichen.

[text]
Seit Version 0.3.8 kann phpVideoPro Cookies zur Verwaltung der Preferences
(persnlichen Einstellungen, wie Filter, Template-Set, Datenstze pro Seite bei
Listen etc.) verwenden. Um diese Funktion zu nutzen, muss die Schaltflche
"*enable_cookies#" aktiviert sein. ber das "*Admin#" Men wird unter
"*configuration#" die Konfiguration verwaltet, und es werden die
Default-Einstellungen fr die Preferences hier vorgenommen. Diese werden bei
"neuen" Benutzern sodann aus der Datenbank geladen. nderungen, die der Benutzer
sodann unter "*edit#" -&gt; "*preferences#" vornimmt, werden in Cookies
gespeichert und auch, sofern gespeicherte Cookies vorhanden sind, aus diesen
geladen. Die Standard Filter Einstellungen werden ber "*admin#" -&gt;
"*admin_filter#" vorgenommen. Es ist eine gute Idee, das admin/ Verzeichnis
sodann durch eine ".htaccess" Datei zu schtzen, um nur authorisierten Benutzern
den Zugriff auf Konfiguration und Default-Einstellungen zu geben.

[title]
*language_settings#

[text]
<b>*scan_new_lang_files#:</b> Zur Speicherung der fr das bersetzungsmodul
bentigten Daten verwendet phpVideoPro seine Datenbank. Will man also eine
neue Sprache hinzufgen, mu diese aktualisiert werden. Dies geschieht ber
SQL Dateien, die ich im Folgenden der Einfachheit halber "Sprachdateien"
nennen mchte. Eine neue Sprachdatei mu dem System zunchst bekannt gemacht
werden - dies geschieht durch das Aktivieren dieser Box (und natrlich
anschlieendes Versenden des Formulars). Die weiteren Schritte folgen unten.
Wie eine neue Sprachdatei erstellt werden kann, findet sich in der Hilfe zum
Punkt "<A HREF="{PHP_SELF}?topic=howto_lang">*howto_lang#</A>".

[text]
<b>*select_add_lang#:</b> Natrlich knnen hier nur verfgbare Sprachen
ausgewhlt werden (das sind jene, zu denen bereits eine Sprachdatei existiert) -
phpVideoPro gehrt nicht in die Kategorie "KI" und kann daher nicht mal eben
eine neue Sprache selbst erfinden :) Um die bersetzungen fr eine bereits
installierte Sprache zu aktualisieren, gibt es den nchsten Punkt.

[text]
<b>*refresh_lang#:</b> Steht eine neuere Version einer bereits installierten
Sprachdatei zur Verfgung (oder hat man selbst eine vorhandene Sprachdatei
angepat), knnen hiermit die entsprechenden Eintrge in der Datenbank
aktualisiert werden. Dabei werden alle bestehenden Eintrge fr die ausgewhlte
Sprache zunchst aus der Datenbank gelscht, und sodann die Eintrge aus der
Sprachdatei importiert. Die Mglichkeit, bestehende Eintrge beizubehalten, und
nur neue zu importieren, gibt es derzeit noch nicht.

[text]
<b>*select_primary_lang#:</b> Aus den vorhandenen Sprachen kann eine als
"Primrsprache" ausgewhlt werden. Das heit, phpVideoPro versucht alle
Bildschirmausgaben in dieser Sprache durchzufhren. Ist die bersetzung fr
eine Phrase nicht in der "Primrsprache" vorhanden, wird in den Englischen
bersetzungen gesucht. Schlgt auch dies fehl, taucht ein "Sprachcode" des
Programmierers auf - sollte dies nicht auf einen Benutzerfehler (wie etwa eine
gelschte Englische Sprache) zurckzufhren sein, erbitte ich eine
<A HREF="mailto:izzysoft@qumran.org">Nachricht</A> an mich, damit ich den
Fehler beheben kann!

[title]
*colors#

[text]
<b>*feedback_ok# / *feedback_err#:</b> Im Unterschied zum vorigen Punkt werden
diese Einstellungen in kein StyleSheet eingepat. Sie dienen Rckmeldungen vom
System, z.B. bei Aktualisierungen der Datenbank, um den jeweiligen Status
sofort erfabar zu machen. "*feedback_ok#" meint hier also die Textfarbe fr
eine positive Rckmeldung, whrend "*feedback_err#" die Textfarbe fr eine
Fehlermeldung darstellt.

[text]
<b>*template_set#:</b> Seit Version 0.1.5 basiert phpVideoPro auf Templates
(das Design betreffend). Als Autor habe ich lediglich ein einziges Set solcher
Templates der Distribution beigefgt; sobald jedoch weitere Templatesets
verfgbar sind (d.h., sobald jemand ein solches erstellt und mir zugeschickt
hat - ich selber werde wahrscheinlich zumindest in absehbarer Zeit kein
weiteres erstellen :), lassen diese sich hier auswhlen, und phpVideoPro erhlt
auf diese Weise eine "neue Haut" ("Skins", wie sie auch von Programmen wie
XMMS bzw. WinAmp bekannt sein drften).

[title]
*config_media#

[text]
<b>*rw_media#:</b> Fr Medien wie z.B. Original-Videokassetten oder DVDs macht
es wenig Sinn, "Bandreste" zu verwalten - weil es einfach keine gibt. Bei
anderen Medien wiederum, wie z.B. selbst bespielten Videokassetten, gehrt die
Verwaltung verbleibender freier Zeit zu den elementaren Funktionen, die von
einer Software wie phpVideoPro (mit Recht) erwartet werden. Manch einer erstellt
sich seine VideoCDs selbst, ein anderer kauft sie ausschlielich. In einigen
seltenen Fllen erstellen Anwender mittlerweile gar ihre DVDs selbst, und
bentigen daher auch fr diese die Restzeit-Verwaltung. Um jedem gerecht zu
werden, ist daher seit v0.3.4 dieser Punkt konfigurierbar geworden. Es sind
hier also die Medien zu markieren, fr die Restzeiten verwaltet (und angezeigt)
werden sollen.

[text]
<b>*remove_empty_media#:</b> Auch hier soll unterschiedlichen Vorgehensweisen
Rechnung getragen werden: Manch einer lscht keine Aufnahmen, sondern berspielt
sie allenfalls gelegentlich. Wenn dieser Mensch also Eintrge aus der Datenbank
lscht, heit das fr ihn: das Medium existiert nicht mehr (verschenkt oder
weggeworfen). Ein anderer lscht hingegen die Eintrge aus der Datenbank, damit
er bei nchster Gelegenheit die ungewnschte Aufnahme berspielen kann (weil
ihm die Restzeit-Anzeige sodann dieses Medium vorschlagen wird). Je nach
gewnschter Vorgehensweise kann hier also angegeben werden, was passieren soll,
wenn der letzte Eintrag fr ein Medium entfernt wird: ist die Box markiert,
wird sodann auch das Medium aus der Restzeit-Tabelle entfernt (steht also fr
die Restzeit-Suche nicht mehr zur Verfgung) - andernfalls wird fr die
Restzeit-Suche die gesamte Kapazitt des Mediums bercksichtigt.

[text]
<b>*movie_onlabel_default#:</b> Wenn jemand die letzten 10..20 Minuten seiner
Videokassetten gern mit ein paar VideoClips von MTV fllt, mchte er diese
Clips nicht unbedingt auch auf dem Label stehen haben - sonst knnten diese
Label teilweise recht unbersichtlich werden. Daher lt sich fr jeden Eintrag
einstellen, ob dessen Informationen bei Generierung eines Labels fr das
betreffende Medium eingeschlossen werden sollen. Hier lt sich festlegen, wie
die Einstellung fr neue Eintrge vorbelegt sein soll.

[text]
<b>*movie_tone_default#:</b> Bislang war das immer "Mono" - aber ich denke,
das ist kaum der richtige Wert. Der hier eingestellte Wert wird als Vorgabe
fr neue Eintrge verwendet. Wer also ausschlielich (oder berwiegend) DVDs
mit Dolby 5.1 erwirbt, sollte hier auch Dolby 5.1 einstellen.

[text]
<b>*movie_color_default#:</b> Heutzutage werden die meisten Filme in Farbe
ausgestrahlt - daher ist es natrlich auch sinnvoll, wenn dies die
Voreinstellung fr neue Eintrge ist. Andernfalls mag es unter den Anwendern
auch solche geben, die berwiegend Filme aus den Zwanziger Jahren sammeln,
welche freilich in schwarz/wei sind. In diesem Fall wre es natrlich
wnschenswert, die Voreinstellung entsprechend anzupassen. Dies kann hier
geschehen.

[title]
*cookies#

[text]
<b>*enable_cookies#:</b> Ist diese Schaltflche nicht aktiviert, werden keine
Cookies verwendet. Das heit dann allerdings auch, das nderungen, die ein
Benutzer im Men "*edit#" -&gt; "*preferences#" vornimmt, ebenfalls in die
Datenbank geschrieben werden, und somit die Voreinstellungen berschreiben.
Gleiches gilt auch fr die Filtereinstellungen. Mit anderen Worten: phpVideoPro
verhlt sich damit wie in den vorangegangenen Versionen, und es kann zu
Problemen fhren, sollten mehrere Benutzer dieselbe Installation simultan
verwenden. Fr eine Einzelplatz-Installation kann jedoch genau dieses Verhalten
erwnscht sein.

[text]
<b>*expire_cookies#:</b> Hiermit wird definiert, nach welchem Zeitraum erstellte
Cookies auf dem System des Benutzers wieder gelscht werden. Wird hier
"*session#" gewhlt, verbleiben die Cookies nur solange auf dem System, bis der
Benutzer seinen Browser wieder schliet. In den anderen Fllen bleiben sie fr
den jeweils angegebenen Zeitraum aktiv.

[title]
*general#

[text]
<b>*display_limit#:</b> ltere Versionen von phpVideoPro zeigten Listen, wie
z.B. unter dem Menpunkt "*medialist#" zu finden, stets in voller Lnge, d.h.
mit allen Datenstzen an. Bei umfangreichen Datensammlungen fhrte dies nicht
nur zu langen Ladezeiten, sondern konnte durchaus auch recht unbersichtlich
werden. Mit Version 0.2.3 wurde daher eingefhrt, diese Liste in mehrere
"Hppchen" unterteilen zu knnen. Die Gre dieser "Hppchen" lt sich mit
diesem Punkt einstellen: er gibt an, wie viele Zeilen die jeweilige Tabelle
haben soll. Innerhalb der Listen lt sich mit vier Buttons navigieren: diese
fhren jeweils zur ersten/letzten bzw. vorigen/nchsten Seite.

[text]
Zugegebenermaen scheint es bei den Besetzungslisten (Darsteller, Regisseure
etc.) zu kleinen Ungereimtheiten zu kommen, und die Anzahl der Zeilen kann
nicht nur vom eingestellten "*display_limit#" abweichen, sondern auerdem auch
von Seite zu Seite differieren. Dies liegt daran, dass hier die "Hppchen-Gre"
auf die Anzahl der Personen angewendet wird. Diese knnen aber durchaus auch als
"nicht anzuzeigen" erfat sein (Option "*in_list#" im "*edit#" Formular).

[text]
<b>*lines_per_page#:</b> Diese Angabe dient den Vorbereitungen fr den
Listendruck und gibt an, wie viele Zeilen (reinen ASCII) Textes auf ein Blatt
Papier passen. Einmal an dieser Stelle festgelegt, wird dieser Wert bei jedem
Aufruf des Menpunktes "*listgen#" (siehe <A HREF="{PHP_SELF}?topic=listgen">dort</A>)
als Standard vorgegeben, kann dort jedoch auch jedesmal angepasst werden.

[text]
<b>*date_format#:</b> In welchem Format sollen Datumsangaben prsentiert werden.
Dies ist erst seit phpVideoPro v0.2.6 konfigurierbar; mittlerweile sollten
jedoch alle Mens, Formulare und Listen entsprechen angepasst sein. Habe ich
dennoch einen Punkt bersehen, bitte ich um einen kurzen Hinweis (ich wrde an
dieser Stelle ja ein kostenloses Update als Preis anbieten - aber angesichts der
Lizenz dieses Produktes nhme das eh niemand ernst :)

[text]
<b>*site_info#:</b> Bis einschlielich v0.3.4 folgte die Titelzeile des
Web-Browsers fr phpVideoPro dem Muster "phpVideoPro v&lt;Version&gt; [
&lt;Job&gt; ]". Seit v0.3.5 gibt es einen neuen, konfigurierbaren Teil dieser
Titelzeile, welcher zwischen der Version und dem Job eingefgt wird:
"@ site_info". Dies ist z.B. hilfreich, wenn man verschiedene Installationen
zur selben Zeit in verschiedenen Browser-Fenstern geffnet hat.


[eof]

